#pragma once

//#define personaprouns 7
//#define verbs1 7
//#define verbs2 7

class wordBox{
    
public:
    //Variables for the box
    float boxwidth, boxheight, posX, posY, speedX, speedY;
    bool touching0, touching1, green, red, blue;
    string text;
    ofTrueTypeFont myFont;
    float distX, distY;     
    
    //bing in boxtext from arrays at testApp.mm
    void setup(string boxtext){
        myFont.loadFont("Gill Sans MT.ttf", 22);
        ofEnableAlphaBlending();        
        posX = ofRandom(ofGetWidth()-150);
        posY = ofRandom(ofGetHeight()-150);
        
        speedX = ofRandomf();
        speedY = ofRandomf();
        
        touching0 = false; 
        touching1 = false;
        
        green = false;

        boxwidth = 150;
        boxheight = 50;
        text = boxtext;         
        
    }
    
    void update(){
        
        
        posX += speedX;
        posY += speedY;
    
        //if posX goes over the left or right edge
        if(posX<0 || posX > ofGetWidth()-boxwidth){
            //invert the speed, by changing its sign(multiply by -1);
            speedX *= -1;
        }
        
        if(posY<0 || posY>ofGetHeight()-boxheight){
            speedY *= -1;      
        }
    }
    
    
    void draw(){
     
        
        if(touching0){
            ofSetColor(255, 10, 27 , 127);
        }else if(touching1){
            ofSetColor(255, 10, 27 , 127);
        }else{
            ofSetColor(10, 108, 255 , 127);
        }
        
        
    if(green==true){
        ofSetColor(10, 255, 22 , 127);        
    }        
        
    ofRect(posX, posY, boxwidth, boxheight);
        
    ofSetColor(255, 234, 0);
    myFont.drawString(text , posX+35, posY+35);
    }
    
    
    void checkTouched(float tX, float tY, int id){ 
        
        //printf("Touch X: %f, Touch Y: %f ;", tX, tY);
      
        if(tX >= posX && tX <= posX+boxwidth && 
        tY >= posY && tY<=posY+boxheight) {
          
        if(id==0){  
            distX=tX-posX;  
            distY=tY-posY;
            touching0 = true;
        }else if(id==1){
            distX=tX-posX;  
            distY=tY-posY;
            touching1 = true;
        }else{
        touching0 = false;
        touching1 = false;
        }
      }      
    }
    
   void drag(float tX, float tY, int id){ 
       
   /* if(touching0 || touching1){
             posX = tX - 75;
             posY = tY - 25;
    }*/   
   
       if(tX >= posX && tX <= posX+boxwidth && 
          tY >= posY && tY<=posY+boxheight) {
       
           posX=tX-distX;
           posY=tY-distY;
       
       }  
       
   }       
  
};



