#pragma once

#include "ofMain.h"
#include "ofxiPhone.h"
#include "ofxiPhoneExtras.h"
#include "wordBox.h"
//14
#define prouns 7
#define verbs 7


class testApp : public ofxiPhoneApp {
	
public:
	void setup();
	void update();
	void draw();
	void exit();
	
	void touchDown(ofTouchEventArgs &touch);
	void touchMoved(ofTouchEventArgs &touch);
	void touchUp(ofTouchEventArgs &touch);
	void touchDoubleTap(ofTouchEventArgs &touch);
	void touchCancelled(ofTouchEventArgs &touch);

	void lostFocus();
	void gotFocus();
	void gotMemoryWarning();
	void deviceOrientationChanged(int newOrientation);
    
    ofTrueTypeFont myFont;   
    
    wordBox prounsarray[prouns];
    wordBox verbsarray[verbs];
    
    string personaprouns_array[7];
    string verbs_array[14][14];    
    
    bool startscreen;
    int timeOffset;
    int time;
    int connectedVerbs;
    
    //int level;
    //int verb_startingvalue;
};


